# class WEBrick::HTTPServlet::CGIHandler

Servlet for handling `CGI` scripts

Example:

    server.mount('/cgi/my_script', WEBrick::HTTPServlet::CGIHandler,
                 '/path/to/my_script')

### Public Class Methods

new(server, name) click to toggle source

Creates a new `CGI` script servlet for the script at `name`

Calls superclass method `WEBrick::HTTPServlet::AbstractServlet::new`

    # File lib/webrick/httpservlet/cgihandler.rb, line 35
    def initialize(server, name)
      super(server, name)
      @script_filename = name
      @tempdir = server[:TempDir]
      @cgicmd = "#{CGIRunner} #{server[:CGIInterpreter]}"
    end